/* Contenedor Principal */
.navbar {
    display: flex;
    justify-content: space-between; /* Empuja un div a cada extremo */
    align-items: center;           /* Alinea verticalmente al centro */
    padding: 1rem 2rem;
    background-color: var(--bg-principal);
    margin-top: 1rem;
    width: 100%;
    box-sizing: border-box;        /* Evita que el padding rompa el ancho */
    
}

/* Estilo para ambas listas (ul) */
.navbar ul {
    list-style: none;
    display: flex;
    /* align-items: start; */
    gap: 20px; /* Espacio uniforme entre elementos */
    /* margin-left: 1rem; */
}

/* Enlaces del menú */
.navbar ul li a {
    text-decoration: none;
    color: var(--texto-principal);
    font-family: var(--fuente-cuerpo); /* Inter */
    
    font-weight: 300;
    font-size: 1rem;
    transition: all 0.3s ease;
}

.navbar ul li a:hover {
    font-weight: 400;
    text-shadow: 0cap 0px 6px #00ffc85b;
   
}

.navbar .nav-menu {
    width: 100%;
    display: flex;
    justify-content: center;
}




@media screen and (max-width: 600px) {
    .navbar {
        flex-direction: column;
        align-items: flex-start;
    }

    .navbar ul {
        flex-direction: column;
        width: 100%;
    }

    .navbar ul li {
        margin-bottom: 10px;
    }

    .navbar .nav-menu {
        justify-content: flex-start;
    }

}